
-- DROP TABLE tl_culture_template;



CREATE TABLE tl_culture_template (
    object_id int NOT NULL ,
    object_last_updated_date datetime DEFAULT getdate() NOT NULL ,
    object_created_date datetime DEFAULT getdate() NOT NULL
    ,
    template_name varchar(100) NULL,
    culture_statement varchar(2000) NULL,
    client_id numeric(12)  NULL,
    hiring_team_id numeric(12)  NULL,
    company_user_id numeric(12)  NULL
    );



ALTER TABLE tl_culture_template ADD    
    CONSTRAINT PK_tl_culture_template PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
        CREATE UNIQUE INDEX idx_tl_culture_template_TemplateID ON 
        tl_culture_template (template_name, hiring_team_id, company_user_id);
    